FlowDrop Docs
API referenceAgent spec

List available tools on the runtime

Retrieve a list of tools registered on the Agent Spec runtime. These tools can be referenced by `tool_node` components.

GET
/agentspec/tools

Authorization

AuthorizationBearer <token>

JWT token for authentication

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/agentspec/tools"
[  {    "name": "string",    "description": "string",    "component_type": "server_tool",    "inputs": [      {        "title": "user_query",        "type": "string",        "description": "string",        "default": null,        "enum": [          null        ],        "items": {},        "properties": {          "property1": {},          "property2": {}        },        "required": [          "string"        ]      }    ],    "outputs": [      {        "title": "user_query",        "type": "string",        "description": "string",        "default": null,        "enum": [          null        ],        "items": {},        "properties": {          "property1": {},          "property2": {}        },        "required": [          "string"        ]      }    ]  }]